Skip to main content
PATCH
/
users
/
role
Edit user's role
curl --request PATCH \
  --url https://incoming.qomon.app/users/role \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "role_id": 1,
    "user_id": 1,
    "advanced_search": "<unknown>",
    "saved_filters_id": 1
  }
}
'
{
  "data": "<string>",
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Body

application/json
data
object
required

Response

OK

data
string
required

Result message.

Example:

"OK"

status
string
required

Operation result.

Example:

"success"

Last modified on June 16, 2026